
 #include "notas.h"
//pin conectado al piezoelctrico
int pin = 8;// el piezoelctrico est conectado al pin 8
// Notas de la melodia. Silencio para silencio. Cada nota va seguida de su duracion
//duraciones: 2= blanca; 4 = negra, 8 = corchea, etc.:
//*2 (por 2)para una octava más aguda; /2 (entre 2)para una octava más grave
//Fin para terminar
int melodia[] = { 
Do*2,4,
Sol,8,
Sol,8,
La,4,
Sol,4,
Silencio, 4,
Si,4,
Do,4,
Fin
};
float espaciado =1.3; // 1.3 para portato, 1.1 para legato.

void setup() {
  // Se recorrentodas las notas de la melodia:
 
  int nota = 0;
 do{  
   
    int duracion = 1000/ melodia[nota+1];
    
    tone(pin, melodia[nota],duracion);

    // to distinguish the notes, set a minimum time between them.
    // the note's duration + 30% seems to work well:
    int pausaEntreNotas = duracion * espaciado;
    delay(pausaEntreNotas);
    // se para la meloda:
    noTone(pin);
     nota= nota + 2;
 }while( melodia[nota]!= Fin);
}

void loop() {
  // no need to repeat the melody.
}
